{
  description = "Assets/Resources for ricing available as nix deriv";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-25.11";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
          config = {};
          overlays = [];
        };
        my-ricing-assets = pkgs.callPackage ./package.nix {};
      in
      {
        packages = {
          inherit my-ricing-assets;
          default = my-ricing-assets;
          my-wallpapers = pkgs.callPackage ./wallpapers {};
          my-scripts = pkgs.callPackage ./scripts {};
          my-xkb-config = pkgs.callPackage ./xkb {};
        };
        overlays.default = final: prev: { my-ricing-assets = final.callPackage ./package.nix {}; };
      }
    );
}
